package com.xhpc.user.service;

import com.xhpc.common.core.web.domain.AjaxResult;
import com.xhpc.user.domain.XhpcDonationInvoice;

import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @date 2022/6/22 11:47
 */
public interface IXhpcDonationInvoiceService {


    /**
     * 添加捐款发票企业
     * @param xhpcDonationInvoice
     * @return
     */
    AjaxResult insertDonationInvoice(XhpcDonationInvoice xhpcDonationInvoice);

    AjaxResult getDonationInvoiceById(Long  donationInvoiceId);

    List<XhpcDonationInvoice> getPage(Map<String, Object> params);

    AjaxResult deleteById(String  donationInvoiceId);

}
